Subject: RE: Proposal for marshalling property type information

From: "Julian Reschke" <[email-masked]>
Date: Thu, 9 Aug 2001 08:39:36 +0200

Hi,

I've made some minor editorial changes, and added wording which should take
care of issues 1) and 2). I'm attaching the draft as XML/HTML/TXT and the
diffs from the last version.

Regards, Julian

> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of Dan Brotsky
> Sent: Monday, June 25, 2001 9:24 PM
> To: WebDAV Working Group
> Subject: RE: Proposal for marshalling property type information
>
>
> I also like Julian's proposal and would be glad to see it
> incorporated into 2518.  But there are a few questions related to
> live properties that I'm hoping Julian and others would comment on:
>
> 1. I work on a number of servers that have specialized live
> ("computed" in the deltaV sense) properties for workflow tracking.
> It seems that we could use the extended PROPFIND to indicate to
> clients the datatype of those properties, but Julian only shows an
> example where the client has indicated the datatype.  Were live
> properties expected to obey the same extension rule?  If so we might
> want to clarify this and add an example.
>
> 2.  Some of my servers implement "type-restricted" live properties
> which are essentially dead properties whose values are restricted to
> a certain datatype.  These servers will reject PROPPATCH requests
> that use the wrong datatype whether or not the client has declared a
> datatype in the PROPPATCH.  Julian's proposal shows an example of a
> 422 response when the PROPPATCH-declared datatype doesn't match the
> datatype of the value; I would also like to use such a response when
> the value's datatype doesn't match the PROPFIND-shown (and enforced)
> datatype.  How does this strike people?
>
>      dan
> --
> Daniel Brotsky, Adobe Systems
> tel 408-536-4150, pager 877-704-4062
> 2-way pager email: <mailto:[email-masked]>
>

---

From: "Julian Reschke" <[email-masked]>
Date: Wed, 8 Aug 2001 13:35:27 +0200

Hi,

Regards, Julian